
//////////////////////////////////////////////////////////////
//
// Header file for MainForm
//
//    This file is generated by RapidApp 1.1
//
//    This class is derived from MainFormUI which 
//    implements the user interface created in 
//    the interface builder. This class contains virtual
//    functions that are called from the user interface.
//
//    When you modify this header file, limit your changes to
//    those areas between the "//--- Start/End editable code block" markers
//
//    This will allow the builder to integrate changes more easily
//
//    This class is a ViewKit user interface "component".
//    For more information on how components are used, see the
//    "ViewKit Programmers' Manual", and the RapidApp
//    User's Guide.
//////////////////////////////////////////////////////////////

#ifndef MAINFORM_H
#define MAINFORM_H
#include "MainFormUI.h"
#include "OptionsWindowMainWindow.h"
#include "StatWindowMainWindow.h"


// Externally defined classes referenced by this class:

#include "MainForm.h"
#include <Vk/VkVuMeter.h>

#include <Vk/VkWindow.h>
#include <Vk/VkMenuBar.h>
#include <Vk/VkSubMenu.h>
//---- Start editable code block: headers and declarations

#include "BV_Member.h"

//---- End editable code block: headers and declarations


//---- MainForm class declaration

class MainForm : public MainFormUI
{

  public:

    MainForm(const char *, Widget);
    MainForm(const char *);
    ~MainForm();
    const char *  className();
    virtual void setParent(VkWindow  *);
    virtual void audioPanel(Widget, XtPointer);
    virtual void chat(Widget, XtPointer);
    virtual void conf(Widget, XtPointer);
    virtual void options(Widget, XtPointer);
    virtual void overview(Widget, XtPointer);
    virtual void reset(Widget, XtPointer);
    virtual void statistics(Widget, XtPointer);
    virtual void users(Widget, XtPointer);

    //---- Start editable code block: MainForm public

    void addUserToList(char *user);
    void delUserFromList(char *user);
    void setStatus(char *status);
    void activateButtons(Boolean active);
    void chatMessage(BV_Member *mbr, int tag, char *data, int size);
    void setSpeakerLevel(int level);
    void setMicLevel(int level);
    StatWindowMainWindow *getStatWnd();
    void updateLevels();


    OptionsWindowMainWindow *_options;
    StatWindowMainWindow *_statistics;

    //---- End editable code block: MainForm public



  protected:


    // These functions will be called as a result of callbacks
    // registered in MainFormUI

    virtual void accept ( Widget, XtPointer );
    virtual void autoSwitch ( Widget, XtPointer );
    virtual void call ( Widget, XtPointer );
    virtual void camera ( Widget, XtPointer );
    virtual void manualSwitch ( Widget, XtPointer );
    virtual void reject ( Widget, XtPointer );
    virtual void talk ( Widget, XtPointer );
    virtual void micScale ( Widget, XtPointer );
    virtual void userSelected ( Widget, XtPointer );

    VkWindow * _parent;
    //---- Start editable code block: MainForm protected

    int speaker_value_;
    int mic_value_;

    //---- End editable code block: MainForm protected



  private:

    //---- Start editable code block: MainForm private


    //---- End editable code block: MainForm private


};
#endif

